Cyan Web API - Version 1


POST api/messageAudits

            Creates a MessageAudit
            

Request Information

Parameters

NameDescriptionAdditional information
messageAuditRepresentation

Define this parameter in the request body.

Request body formats

application/json, text/json

Sample:
{
  "messageAuditId": "0ee03912-1478-4e81-9686-e18b5c539378",
  "messageId": "c9070fc8-1a83-40b5-808a-cfc1938eb7fb",
  "messageAuditTypeId": "798bd1df-666d-4db1-8c47-c0987bf42412",
  "messageAuditTypeLookupKey": "sample string 4",
  "text": "sample string 5",
  "messageCyanId": 6,
  "cyanId": 7,
  "createdDateUtc": "2026-11-13T23:59:43.3204895+00:00",
  "updatedDateUtc": "2026-11-13T23:59:43.3204895+00:00"
}

application/xml, text/xml

Sample:
<MessageAuditRepresentation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Rest.Version1">
  <CreatedDateUtc>2026-11-13T23:59:43.3204895+00:00</CreatedDateUtc>
  <UpdatedDateUtc>2026-11-13T23:59:43.3204895+00:00</UpdatedDateUtc>
  <CyanId>7</CyanId>
  <MessageAuditId>0ee03912-1478-4e81-9686-e18b5c539378</MessageAuditId>
  <MessageAuditTypeId>798bd1df-666d-4db1-8c47-c0987bf42412</MessageAuditTypeId>
  <MessageAuditTypeLookupKey>sample string 4</MessageAuditTypeLookupKey>
  <MessageCyanId>6</MessageCyanId>
  <MessageId>c9070fc8-1a83-40b5-808a-cfc1938eb7fb</MessageId>
  <Text>sample string 5</Text>
</MessageAuditRepresentation>

application/x-www-form-urlencoded

Sample:

Sample not available.